stages:
  - testing
  - deploy

#Testing:
#  stage: testing
#  tags:
#    - dev
#  script:
#    - docker-compose -p scrap_test down --remove-orphans
#    - docker-compose -p scrap_test up -d postgres
#    - docker-compose -p scrap_test up --build database
#    - docker-compose -p scrap_test up --build -d service
#    - docker-compose -p scrap_test up --exit-code-from bdd --build bdd
#  after_script:
#    - docker-compose -p scrap_test down --volumes
#
#Deploy (dev):
#  stage: deploy
#  only:
#    - develop
#  tags:
#    - dev
#  variables:
#    REACT_APP_SERVICE_URL: "http://dev.lebedev.games/api"
#  script:
#    - docker-compose down --remove-orphans
#    - docker-compose up -d postgres
#    - docker-compose up --build database
#    - docker-compose up --build -d service web router
#    - curl http://127.0.0.1/api/demo
#  environment:
#    name: dev
#    url: http://dev.lebedev.games


Deploy (staging):
  stage: deploy
  only:
    - master
  tags:
    - staging
  variables:
    REACT_APP_SERVICE_URL: "http://staging.lebedev.games/api"
  script:
    - docker-compose down --remove-orphans
    - docker-compose up -d postgres
    - docker-compose up --build database
    - docker-compose up --build -d service web router
  environment:
    name: staging
    url: http://staging.lebedev.games
